package com.javaseleniumtemplate.dbsteps;
import com.javaseleniumtemplate.utils.DBUtils;
import com.javaseleniumtemplate.utils.Utils;
import java.util.List;

public class DBSteps {

    private static String queriesPath = "src/test/java/com/javaseleniumtemplate/queries/";
    private static String CSV_Path = "src/test/resources/csv/";


    public static String retornaSenhaDoUsuarioDB(String usuario) {
        String query = Utils.getFileContent(queriesPath + "retornaSenhaDoUsuario.sql")
                .replace("$usuario", usuario);

        return DBUtils.getQueryResult(query).get(0);
    }

    public static String retornaQuantidadeEstoque(String lote) {
        String query = Utils.getFileContent(queriesPath + "retornaQuantidadeEstoque.sql")
                .replace("$lote", lote);
        return DBUtils.getQueryResult(query).get(0);
    }

    public static String retornaChaveCSV(){
    List <String> chave = Utils.getFileCsv(CSV_Path + "chavesNFEntrada.csv");
    return chave.get(0);
    }

    public static String retornaChaveCSVRelacionamento(){
        List <String> chave = Utils.getFileCsv(CSV_Path + "chavesNFEntrada.csv");
        return chave.get(1);
    }

    public static String retornaChaveCSVCte(){
        List <String> chave = Utils.getFileCsv(CSV_Path + "chavesNFEntrada.csv");
        return chave.get(2);
    }

    public static void apagaRelacionamentoProdXProdXml() {
        String query = Utils.getFileContent(queriesPath + "apagaRelacionamentoprodXProdXml.sql");
        DBUtils.executeQuery(query);
    }

    public static void deletaNF(String nrlanctonf){
        String query = Utils.getFileContent(queriesPath + "deletaNF.sql")
                .replace("$nrlanctonf", nrlanctonf);
        DBUtils.executeQuery(query);
    }

    public static String retornaChaveCSVComparacao(){
        List <String> chave = Utils.getFileCsv(CSV_Path + "chavesNFEntrada.csv");
        return chave.get(3);
    }

    public static String retornaChaveSimplesRemessa(){
        List <String> chave = Utils.getFileCsv(CSV_Path + "chavesNFEntrada.csv");
        return chave.get(4);
    }

    public static void marcaParametroBloqueiaProdEst(){
        String query = Utils.getFileContent(queriesPath + "marcaParamBloqueiaLancProdEstComp.sql");
        DBUtils.executeQuery(query);
    }

    public static void desmarcaParametroBloqueiaProdEst(){
        String query = Utils.getFileContent(queriesPath + "desmarcaParamBloqueiaLancProdEstComp.sql");
        DBUtils.executeQuery(query);
    }

    public static void marcaParamSugereAlmox(){
        String query = Utils.getFileContent(queriesPath + "marcaParamSugereAlmox.sql");
        DBUtils.executeQuery(query);
    }

    public static void desmarcaParamSugereAlmox(){
        String query = Utils.getFileContent(queriesPath + "desmarcaParamSugereAlmox.sql");
        DBUtils.executeQuery(query);
    }
    public static String retornaChaveCSVLote(){
        List <String> chave = Utils.getFileCsv(CSV_Path + "chavesNFEntrada.csv");
        return chave.get(5);
    }
    public static String retornaChaveCSVAlmox() {
        List<String> chave = Utils.getFileCsv(CSV_Path + "chavesNFEntrada.csv");
        return chave.get(6);
    }
        public static String retornaChaveCSVProdutoEstoque(){
            List <String> chave = Utils.getFileCsv(CSV_Path + "chavesNFEntrada.csv");
            return chave.get(7);
    }

}
