var  Dfe31000_ParametrosDocumentosFiscaisEntrada_Controller = function(Dfe31000_ParametrosDocumentosFiscaisEntrada_Service, ScreenService, templateManager,General){

      this.verficaUtilizaAlmoxarifado = function(args){
        var gridParametrosFilial =  templateManager.container.getWidget('parametrosFilial');
        if(gridParametrosFilial.currentRow.IDUTILALLONF=='S'){
            if(gridParametrosFilial.currentRow.IDUTILALMOX=='N'){
                ScreenService.showMessage('Unidade Não Utiliza Almoxarifado');
                gridParametrosFilial.getField('IDUTILALLONF').value('N');
            }
        }
    };

    this.verificaInsercaoFilial = function(args){
        var tabbedParametrosFilial =  templateManager.container.getWidget('tabbedParametrosFilial');
        var gridParametrosFilial =  templateManager.container.getWidget('parametrosFilial');
        var filial =tabbedParametrosFilial.getField('CDFILIAL');
        if(filial.value()){
            var dataParametros = gridParametrosFilial.dataSource.data;
            //se não exister o parametros para filial cadastrado insere uma nova linha
            if(dataParametros.length==0){
                gridParametrosFilial.currentRow={};
                gridParametrosFilial.currentRow.CDFILIAL=filial.value();
                gridParametrosFilial.currentRow.__is_new=true;
                gridParametrosFilial.dataSource.name = "df#/crud/paramfilial";
                gridParametrosFilial.saveRow().then(function() {
                    gridParametrosFilial.dataSource.name = "df_entrada#/paramfilial_entrada";
                    gridParametrosFilial.reload();
                }.bind(this), function(callback){
                    if(callback.data){
                        ScreenService.showMessage(callback.data.error);
                    }
                    gridParametrosFilial.dataSource.name = "df_entrada#/paramfilial_entrada";
                });

            }
        }
    };

    this.filtroParametrosFilial =  function(){
        var tabbedParametrosFilial =  templateManager.container.getWidget('tabbedParametrosFilial');
        var gridParametrosFilial =  templateManager.container.getWidget('parametrosFilial');
        var filial = tabbedParametrosFilial.getField('CDFILIAL').value();
        if(filial){
            gridParametrosFilial.getAction('editar').isVisible = true;
            gridParametrosFilial.reload();
        }else{
            gridParametrosFilial.getAction('editar').isVisible = false;
            for (let registro in gridParametrosFilial.currentRow) {
        		gridParametrosFilial.currentRow[registro] = '';
        	}
        }
    };

    this.verificaInsercaoEmpresa = function(args){
        var tabbedParametrosEmpresa =  templateManager.container.getWidget('tabbedParametrosEmpresa');
        var gridParametrosEmpresa =  templateManager.container.getWidget('parametrosEmpresa');
        var empresa =tabbedParametrosEmpresa.getField('CDEMPRESA');
        if(empresa.value()){
            var dataParametros = gridParametrosEmpresa.dataSource.data;
            //se não exister o parametros para empresa cadastrado insere uma nova linha
            if(dataParametros.length==0){
                gridParametrosEmpresa.currentRow={};
                gridParametrosEmpresa.currentRow.CDEMPRESA=empresa.value();
                gridParametrosEmpresa.currentRow.__is_new=true;
                gridParametrosEmpresa.dataSource.name = "df#/crud/paramempresa";
                gridParametrosEmpresa.saveRow().then(function() {
                    gridParametrosEmpresa.dataSource.name = "df_entrada#/paramempresa_entrada";
                    gridParametrosEmpresa.reload();
                }.bind(this), function(callback){
                    if(callback.data){
                        ScreenService.showMessage(callback.data.error);
                    }
                    gridParametrosEmpresa.dataSource.name = "df_entrada#/paramempresa_entrada";
                });

            }
        }
    };

    this.campoParametrosEmpresa = function(){
        var gridParametrosEmpresa =  templateManager.container.getWidget('parametrosEmpresa');
        var idt = gridParametrosEmpresa.getField('IDABATNFDNFOEN').value();
        var tipoAjusteField = gridParametrosEmpresa.getField('CDAJUCTREC');

        if(idt=="S"){
            tipoAjusteField.readOnly = false;
            tipoAjusteField.validations.required = true;
            tipoAjusteField.dataInitialized = false;
            tipoAjusteField.value("");
            gridParametrosEmpresa.getField('DSAJUCTREC').value("");
        }else{
            delete(tipoAjusteField.validations.required );
            tipoAjusteField.readOnly = true;
            tipoAjusteField.value("");
            gridParametrosEmpresa.getField('DSAJUCTREC').value("");
        }
    };

    this.filtroParametrosEmpresa =  function(){
        var tabbedParametrosEmpresa =  templateManager.container.getWidget('tabbedParametrosEmpresa');
        var gridParametrosEmpresa =  templateManager.container.getWidget('parametrosEmpresa');
        var empresa = tabbedParametrosEmpresa.getField('CDEMPRESA').value();
        if(empresa){
            gridParametrosEmpresa.getAction('editar').isVisible = true;
            gridParametrosEmpresa.reload();
        }else{
            gridParametrosEmpresa.getAction('editar').isVisible = false;
            for (let registro in gridParametrosEmpresa.currentRow) {
        		gridParametrosEmpresa.currentRow[registro] = '';
        	}
        }
    };


    this.editar = function(widget){
        if(widget.name=="parametrosGerais"){
            this.situacaoCampoLancamentoManual();
            widget.currentRow.senhaSMTPEntrAlterada = false;
        }
        if(widget.name=='parametrosFilial'){
                var tabbedParametrosFilial =  templateManager.container.getWidget('tabbedParametrosFilial');
                tabbedParametrosFilial.getField('NMFILIAL').readOnly=true;
        }
        if(widget.name=='parametrosEmpresa'){
                var tabbedParametrosEmpresa =  templateManager.container.getWidget('tabbedParametrosEmpresa');
                tabbedParametrosEmpresa.getField('NMEMPRESA').readOnly=true;
        }
        widget.template = widget.templateToForm;
        General.edit(widget);
    };

    this.cancelar = function(widget){
     
		for (var i in widget.backupRow) {
			widget.currentRow[i] = widget.backupRow[i];
		}
		widget.template = widget.templateToView;
		widget.view();
		widget.activate();
	
        if(widget.name=='parametrosFilial'){
            var tabbedParametrosFilial =  templateManager.container.getWidget('tabbedParametrosFilial');
            tabbedParametrosFilial.getField('NMFILIAL').readOnly = false;
        }
        if(widget.name=='parametrosEmpresa'){
            var tabbedParametrosEmpresa =  templateManager.container.getWidget('tabbedParametrosEmpresa');
            tabbedParametrosEmpresa.getField('NMEMPRESA').readOnly = false;
        }

    };

    this.WidgetOnEnter = function(args){
        args.owner.currentRow = args.owner.dataSource.data[0];
    };

    this.salvarParametrosGerais = function(args){
        var Widget = args.owner.widget;
        var floatNrdeciTotaNf;
        
        if(Widget.currentRow.NRDECITOTANF != ""){
            floatNrdeciTotaNf = parseFloat(Widget.currentRow.NRDECITOTANF);
            if(floatNrdeciTotaNf > 2 || floatNrdeciTotaNf < 0){
                return ScreenService.showMessage("O campo 'Número de Casas Decimais Totalizações' permite números apenas entre 0 e 2, ou vazio.");
            }
        }
        
        if(Widget.currentRow.IDBLAPRLCTMAPBL != "S"){
            Widget.currentRow.IDBLAPRLCTMAPBL = "N";
        }
        
        if(Widget.currentRow.IDUTTLSEMAILGENTR != "S"){
            Widget.currentRow.IDUTTLSEMAILGENTR = "N";
        }
        
        if(Widget.currentRow.IDUTSSLEMAILGENTR != "S"){
            Widget.currentRow.IDUTSSLEMAILGENTR = "N";
        }
        
        if(Widget.currentRow.VRPETOLEVRAF>1000){
            ScreenService.showMessage("Percentual de Tolerância de Valores deve ser Menor que 1000%");
        }else if(Widget.currentRow.VRPETOLEQTAF>1000) {
            ScreenService.showMessage("Percentual de Tolerância de Quantidade deve ser Menor que 1000%");
        }
        
        else{
           General.saveCrud(Widget).then(function() {
         //Dfe31000_ParametrosDocumentosFiscaisEntrada_Service.salvarParametrosGerais(widget.currentRow).then(function() {
                this.controlaStatusWidgets( templateManager.container.getWidget('container_tabbed'),'parametrosGerais',true);
                //var parametrosGerais = templateManager.container.getWidget('parametrosGerais');
                var currentRow = Widget.currentRow;
                currentRow.__is_new = false;
                currentRow.changed = false;
                Widget.template = Widget.templateToView;
                Widget.view();
                ScreenService.closeSwipe();
                Widget.reload();
                Widget.list();
                
            }.bind(this), function(callback){
                if(callback.data){
                    ScreenService.showMessage(callback.data.error);
                }

            });
        }
        
    };
    
    
    
    this.senhaSMTPAlterada = function(Widget){
    Widget.currentRow.senhaSMTPEntrAlterada = true;
    };

    this.salvarParametrosFilial = function(args){
        var Widget = args.owner.widget;
        if(Widget.currentRow.NRTAMNUMNFUTDFE == null || Widget.currentRow.NRTAMNUMNFUTDFE == 0 || Widget.currentRow.NRTAMNUMNFUTDFE >  20){
            ScreenService.showMessage("Tamanho no Nº da Nota Fiscal deve estar entre 1 e 20");
        }
        else{
            this.concatenaCampoDsparfilfis(Widget.currentRow);
            General.saveCrud(Widget).then(function() {
                this.controlaStatusWidgets( templateManager.container.getWidget('container_tabbed'),'tabbedParametrosFilial', true);
                var tabbedParametrosFilial =  templateManager.container.getWidget('tabbedParametrosFilial');
                tabbedParametrosFilial.getField('NMFILIAL').readOnly = false;
                var currentRow = Widget.currentRow;
                currentRow.__is_new = false;
                currentRow.changed = false;
                Widget.template = Widget.templateToView;
                Widget.view();
                Widget.reload();
                Widget.list();
            }.bind(this), function(callback){
                if(callback.data){
                    ScreenService.showMessage(callback.data.error);
                }

            });
        }
    };

    this.concatenaCampoDsparfilfis = function(row){

        var campoCompleto = row.DSPARFILFIS;
        if(! row.DSPARFILFIS1){
            row.DSPARFILFIS1 =' ';
        }
        if(! row.DSPARFILFIS2){
            row.DSPARFILFIS2 =' ';
        }


        if(!campoCompleto){
            row.DSPARFILFIS = row.DSPARFILFIS1 + row.DSPARFILFIS2;
        }
        else{
            if(campoCompleto.length==2){
                row.DSPARFILFIS = row.DSPARFILFIS1 + row.DSPARFILFIS2;
            }else{
                var partefinal = campoCompleto.substr(2);
                row.DSPARFILFIS = row.DSPARFILFIS1+ row.DSPARFILFIS2 + partefinal;
            }

        }
    };
    
    this.enterInlineEditTipoOperacao = function(widget) {
        this.controlaStatusWidgets(widget.parent, "tipoOperacao", false);
    };
    
    this.exitInlineEditTipoOperacao = function(widget) {
        this.controlaStatusWidgets(widget.parent, "tipoOperacao", true);
    };
    
    this.cancelTipoOperacao = function(widget) {
        this.exitInlineEditTipoOperacao(widget);
        widget.reload();
        widget.list();
    };
    
    this.salvarTipoOperacao = function (widget) {
        var itens = widget.dataSource.data;
        var itensModificados = itens.filter(item => item.changed_IDUTILOPER || item.changed_IDCONSFISCPROD);
        
        itensModificados.forEach (item => {
            item.changed = true;
        });
        
        widget.dataSource.save().then(function () {
            itensModificados.forEach (item => {
                //@todo remover delete item.changed quando desmarcaLinhasEditadas for implementada
                delete item.changed_IDUTILOPER;
                delete item.changed_IDCONSFISCPROD;
                delete item.changed;
            });
            widget.activate();
            widget.list(true);
            ScreenService.successNotification("Parâmetros salvos com sucesso.");
        });
        this.exitInlineEditTipoOperacao(widget);
    };

    this.salvarParametrosEmpresa = function(args){
        var Widget = args.owner.widget;
        General.saveCrud(Widget).then(function() {
            this.controlaStatusWidgets( templateManager.container.getWidget('container_tabbed'),'tabbedParametrosEmpresa',true);
            var tabbedParametrosEmpresa =  templateManager.container.getWidget('tabbedParametrosEmpresa');
            tabbedParametrosEmpresa.getField('NMEMPRESA').readOnly=false;
            var currentRow = Widget.currentRow;
            currentRow.__is_new = false;
            currentRow.changed = false;
            Widget.template = Widget.templateToView;
            Widget.view();
            Widget.reload();
            Widget.list();
        }.bind(this), function(callback){
            if(callback.data){
                ScreenService.showMessage(callback.data.error);
            }

        });

    };

    this.salvarNFe = function(args){
        var Widget = args.owner.widget;
        General.saveCrud(Widget).then(function() {
            this.controlaStatusWidgets( templateManager.container.getWidget('container_tabbed'),'NFe',true);
            var currentRow = Widget.currentRow;
            currentRow.__is_new = false;
            currentRow.changed = false;
            Widget.template = Widget.templateToView;
            Widget.view();
            ScreenService.closeSwipe();
            Widget.reload();
            Widget.list();
        }.bind(this), function(callback){
            if(callback.data){
                ScreenService.showMessage(callback.data.error);
            }

        });
    };
    
    this.salvarFiscalizacao = function(args){
        var Widget = args.owner.widget;
        General.saveCrud(Widget).then(function() {
            this.controlaStatusWidgets( templateManager.container.getWidget('container_tabbed'),'fiscalizacaoProdutos',true);
            var currentRow = Widget.currentRow;
            currentRow.__is_new = false;
            currentRow.changed = false;
            Widget.template = Widget.templateToView;
            Widget.view();
            ScreenService.closeSwipe();
            Widget.reload();
            Widget.list();
        }.bind(this), function(callback){
            if(callback.data){
                ScreenService.showMessage(callback.data.error);
            }

        });
    };

    this.situacaoCampoLancamentoManual = function(){
        var gridParametrosGerais =  templateManager.container.getWidget('parametrosGerais');
        var campoImportaXML= gridParametrosGerais.getField('IDTPIMPNFE');
        var campoLancamento =gridParametrosGerais.getField('IDPELANIMPXML');
        if(campoImportaXML.value()=="F"){
            campoLancamento.value("N");
            campoLancamento.readOnly=true;
        }else {
            campoLancamento.readOnly=false;
        }
    };

    this.controlaStatusWidgets = function(mainWidget, nomeWidgetAtual, status){
        mainWidget.widgets.forEach(function(widg) {
            if(nomeWidgetAtual !== widg.name)
                widg.enabled = status;
        });

        if(mainWidget.name !== nomeWidgetAtual)
            mainWidget.enabled = status;
    };

    this.recarregarWidget = function(nomeWidget){
        var widget =  templateManager.container.getWidget(nomeWidget);
        widget.reload();
    };
    
    this.onChangeTolerValPerm = function(widget){
        var val = widget.getField("VRPETOLEVRAF"); 
        if(val.value() == null || val.value() == ""){
            val.validations = null;
            widget.currentRow.$error.VRPETOLEVRAF = [];
        } else{
            val.validations = {
                max: {
                    value: 1000,
                    message: "Apenas valores entre 0 e 1000"
                }
            };
        }
        val.reload();
    };
    
    this.onChangeTolerQtdPerm = function(widget){
        var qtd = widget.getField("VRPETOLEQTAF"); 
        if(qtd.value() == null || qtd.value() == ""){
            qtd.validations = null;
            widget.currentRow.$error.VRPETOLEQTAF = [];
        } else{
            qtd.validations = {
                max: {
                    value: 1000,
                    message: "Apenas valores entre 0 e 1000"
                }
            };
        }
        qtd.reload();
    };
    
    this.inicializaTipoAjuste = function (field) {
        if (!field.dataInitialized) {
            field.reload().then ( () => {
                field.dataInitialized = true;
                if (!field.dataSource.data.length) {
                    ScreenService.showMessage('Não há Tipo de Ajuste cadastrado');
                }
            }); 
        }
        else if (!field.dataSource.data.length) {
            ScreenService.showMessage("Não há Tipo de Ajuste cadastrado");
        }
    };
    
    this.bloquearCampoDiretorio = function(widget) {
        var nrorg = widget.dataSource.data[0].NRORG;
        if(nrorg != 1) {
            widget.currentRow.DSDIRIMPARQXML = '/tmp/';
            widget.getField('DSDIRIMPARQXML').readOnly = true; 
        }
        
    };
    
};

Configuration(function (ContextRegister){
    ContextRegister.register('Dfe31000_ParametrosDocumentosFiscaisEntrada_Controller', Dfe31000_ParametrosDocumentosFiscaisEntrada_Controller);
});